/************************************************************************//**
 *
 * @file    c17_misc.h
 *
 * @brief   This is Header file for init function.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_MISC_H__
#define C17_MISC_H__

#include <c17_mcu_select.h>

/* --- definition --- */


/* --- external declaration --- */

extern void c17protectMiscOn(void);
extern void c17protectMiscOff(void);
extern void c17setFlashcAccessCycle(unsigned short cycle);
extern unsigned short c17getFlashAccessCycle(void);

#endif	// C17_MISC_H__

